
Ruby - Bug #1608

einval in getsockname (windows)

06/11/2009 10:45 PM - rogerdpack (Roger Pack)

Status: Closed   

Priority: Normal   

Assignee: usa (Usaku NAKAMURA)   

Target version: 1.9.2   

ruby -v: p129 mingw Backport:  

Description

=begin

Sorry for the flood--almost got them all :)

1. Error:

test_initialize(TestSocket):

Errno::EINVAL: Invalid argument - getsockname(2)

c:/dev/downloads/ruby_trunk/test/socket/test_socket.rb:39:in getsockname'    

c:/dev/downloads/ruby_trunk/test/socket/test_socket.rb:39:in  block in test_initialize'

c:/dev/downloads/ruby_trunk/test/socket/test_socket.rb:38:in open'    

c:/dev/downloads/ruby_trunk/test/socket/test_socket.rb:38:in  test_initialize'

2. Error:

test_linger(TestSocket):

Errno::EINVAL: Invalid argument - getsockname(2)

c:/dev/downloads/ruby_trunk/.ext/common/socket.rb:135:in setsockopt'    

c:/dev/downloads/ruby_trunk/.ext/common/socket.rb:135:in listen'

c:/dev/downloads/ruby_trunk/test/socket/test_socket.rb:304:in `test_linger'

3. Error:

test_tcp_server_sockets(TestSocket):

Errno::EINVAL: Invalid argument - getsockname(2)

c:/dev/downloads/ruby_trunk/.ext/common/socket.rb:135:in setsockopt'    

c:/dev/downloads/ruby_trunk/.ext/common/socket.rb:135:in listen'

c:/dev/downloads/ruby_trunk/.ext/common/socket.rb:363:in block in  tcp_server_sockets'    

c:/dev/downloads/ruby_trunk/.ext/common/socket.rb:157:in each'

c:/dev/downloads/ruby_trunk/.ext/common/socket.rb:157:in foreach'    

c:/dev/downloads/ruby_trunk/.ext/common/socket.rb:361:in  tcp_server_sockets'

c:/dev/downloads/ruby_trunk/test/socket/test_socket.rb:99:in

`test_tcp_server_sockets'

=end

History

#1 - 07/13/2009 10:36 PM - yugui (Yuki Sonoda)

- Category set to ext

- Assignee set to nobu (Nobuyoshi Nakada)

- Target version set to 1.9.2

=begin

=end

#2 - 07/18/2009 10:46 AM - phasis68 (Heesob Park)

=begin

This is same to Bug #1323 and was fixed at revision 24173

=end
https://bugs.ruby-lang.org/issues/1323


#3 - 07/18/2009 03:53 PM - usa (Usaku NAKAMURA)

- Status changed from Open to Closed

- Assignee changed from nobu (Nobuyoshi Nakada) to usa (Usaku NAKAMURA)

=begin

thanks for your information.

=end
